Subject: [bug#75518] Request for merging "core-packages-team" branch

From: Ludovic Courtès <[email-masked]>
Date: Sun, 01 Jun 2025 23:28:03 +0200

Hello,

Rutherther <[email-masked]> writes:

> FYI graft of bash has been added a part of series that adds support for
> /etc/profile.d and /etc/bashrc.d,
> the graft makes bash source /etc/bashrc on its own,
> it had to be sourced manually from ~/.profile previously.

Uh.  I think we should avoid keep grafts for security updates that need
to happen quickly.

> Btw how do rebases work currently? As far as I know the mirror bot
> cannot remove branches so it won't sync the branches to savannah, but QA
> takes the branches from savannah. Or am I mistaken somewhere?

I’m not sure if the “mirror bot” (actually Forgejo) can remove branches
or not.  But I believe that if we rebase and force-push, Savannah should
follow.  So I would assume that this work and if it doesn’t, we’ll see
how to fix it.

Ludo’.